package test;

import javax.swing.JFrame;
import javax.swing.JTree;

import bk.BKNodePlacement;
import graph.LayeredGraphNode;
import graph.io.Reader;
import lib.SimpleNodePlacement;
import processor.PseudoCodeNode;

public class TestProcessor {
    
    public static void main(String[] args) {
        Reader r = new Reader( "logo.json" );
        LayeredGraphNode graph = r.readInputGraph();
        SimpleNodePlacement.placeNodes( graph );

        BKNodePlacement algorithm = new BKNodePlacement();
        JTree pseudoTree = new JTree();
        PseudoCodeNode tree = algorithm.createPseudocodeTree( pseudoTree );
        JFrame frame = new JFrame( "NodeShuffler" );
        StepInProcessor processor = new StepInProcessor( tree, graph, frame );
        processor.start();
    }
}
